/**
 * @file PushStack 用于生成PushStack指令的类
 * @author yelvye@baidu.com
 */

/**
 * Copyright (c) 2017 Baidu, Inc. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

'use strict';

const BaseDirective = require('../BaseDirective');

/**
 * 端上入栈指令
 *
 * @class {PushStack} 端上入栈指令
 */
class PushStack extends BaseDirective {
    constructor() {
        super('Display.PushStack');
    }
}

module.exports = PushStack;


