const Bot = require('bot-sdk');
const request = require('request');
const privateKey = require("./rsaKeys.js").privateKey;

const url = 'https://c.m.163.com/reader/api/motif/hotAll/list?motifId=HT1547607798713&refreshType=2&cursor=&ua=NewsApp/53.0%20iOS/11.4.1%20(iPhone7,2)';


var getData = function(){
    return new Promise(function(resolve, reject){
        request({
            url: url
        }, function(error, body, res){
            var data = JSON.parse(body);
            if(data.code == 200) {
                resolve(data);
            }else{
                reject();
            }
        });
    });
}

var getResponse = function(){
    return new Promise(function(resolve, reject){
        getData().then(function(data){
            let text = data[0].title;
            resolve({
                "outputSpeech": text
            });
        }, function(){
            reject({
                "outputSpeech":"数据获取失败"
            });
        });
    });
}

class DuerOSBot extends Bot {
    constructor(postData) {
        super(postData);


        this.addLaunchHandler(() => {
            this.waitAnswer();
            this.setExpectSpeech(false);
            
            return getResponse();
        });

        this.addSessionEndedHandler(() => {
            this.endSession();
            return {
                outputSpeech: '感谢您的使用'
            };
        });

        this.addIntentHandler('ai.dueros.common.next_intent', () => {
            return getResponse();
        });

    }
}

exports.handler = function(event, context, callback) {
    try {
        let b = new DuerOSBot(event);
        // 0: debug  1: online
        b.botMonitor.setEnvironmentInfo(privateKey, 0);
        b.run().then(function(result) {
            callback(null, result);
        }).catch(callback);
    } catch (e) {
        callback(e);
    }
}

